package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * TipoAbono generated by hbm2java
 */
@Entity
@Table(name="tipo_abono"
    ,catalog="sistema_ventas"
)
public class TipoAbono  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idtabono;
     private String tipo;
     private Set<Abonos> abonoses = new HashSet<Abonos>(0);

    public TipoAbono() {
    }

    public TipoAbono(String tipo, Set<Abonos> abonoses) {
       this.tipo = tipo;
       this.abonoses = abonoses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idtabono", unique=true, nullable=false)
    public Integer getIdtabono() {
        return this.idtabono;
    }
    
    public void setIdtabono(Integer idtabono) {
        this.idtabono = idtabono;
    }

    
    @Column(name="tipo", length=50)
    public String getTipo() {
        return this.tipo;
    }
    
    public void setTipo(String tipo) {
        this.tipo = tipo;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="tipoAbono")
    public Set<Abonos> getAbonoses() {
        return this.abonoses;
    }
    
    public void setAbonoses(Set<Abonos> abonoses) {
        this.abonoses = abonoses;
    }




}


